/*
 * Name: nbnsclient.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1998-11-17
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: nbnsclient.h,v 1.1.1.1 1999/04/12 13:56:34 cs Exp $
 */

#ifndef __nbnsclient_H_INCLUDED__
#define __nbnsclient_H_INCLUDED__

#include "basictypes.h"

/* ------------------------------------------------------------------------- */

typedef struct nbnsRes{
	btError	err;
	btu8	*data;
	btsize	len;
	btu32	ipAddress;
	btu8	*name;
}nbnsRes_t;

/* ------------------------------------------------------------------------- */

btsize	nbnsEncodeName(btu8 *dest, btsize bufSize, btu8 *name, btint tag);
void	nbnsResolve(btu8 *name, btint tag, btu32 nbnsIp, btbool broadcast, void *caller);
void	nbnsNodeStatus(btu32 destIp, btu8 *name, btint tag, void *caller);

void	nbnsLookup(btu8 *name, void *caller);
/* returns (btu32 *): pointer to IP address or NULL on failure */

/* ------------------------------------------------------------------------- */

#endif /* __nbnsclient_H_INCLUDED__ */
