/*
 * Name: pslsslsocket.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1998-05-23
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: pslsslsocket.h,v 1.2 1999/07/22 17:54:07 cs Exp $
 */

#ifndef __pslsslsocket_H_INCLUDED__
#define __pslsslsocket_H_INCLUDED__

#include "basictypes.h"
#include "exception.h"
#include "pslayer.h"

/*
General Description:
This module is the same as pslsslsocket.h, but it works with SSLeay.
*/

/* ------------------------------------------------------------------------- */

struct ssl_st;
struct ssl_ctx_st;
struct server;

typedef struct pslSslSocket{
	btint				refCount;
	void				*higherObj;
	psDownInterface_t	*higherI;
	struct ssl_ctx_st	*sslContext;
	btint				cstatus;
    struct procCond		*connectSignal;
	btu32				destIp;
	int					port;
	int					fd;
	struct ssl_st		*ssl;
	btint				wantSendCount;
	struct msg			*currentMsg;
	btbool				registeredForWrite;
	btbool				attemptImplicitConnect;
	btbool				attemptImplicitRead;
	btbool				attemptImplicitWrite;
	void				*connectCtx;
	struct server		*server;
}pslSslSocket_t;

/* ------------------------------------------------------------------------- */

btbool	pslSslSocketCheckPassPhrase(struct server *server, btu8 *passPhrase);

pslSslSocket_t	*pslSslSocketNew(btu32 destIp, int port, int connectedSocket, struct server *server, btu8 *passPhrase);
/* server is needed for sendTimeout! */

extern psUpInterface_t	pslSslSocketUpInterface;

EXC_DECLARE(excSslCertfile);
EXC_DECLARE(excSslKeyfile);
EXC_DECLARE(excSslNeedPassPhrase);

/* ------------------------------------------------------------------------- */

#endif /* __pslsslsocket_H_INCLUDED__ */
