/*
 * Name: basictypes.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1997-10-12
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: basictypes.h,v 1.1.1.1 1999/04/12 13:56:37 cs Exp $
 */

#ifndef __BASICTYPES_H_INCLUDED__
#define __BASICTYPES_H_INCLUDED__

/*
General Description:
This header defines an abstraction for the primitive C datatypes. This is
necessary because the ANSI specification does not define the number of bits
in the primitive data types.
*/

#define	bti8		char
#define	bti16		short
#define	bti32		int
#define	bti64		long long
#define	btu8		unsigned char
#define	btu16		unsigned short
#define	btu32		unsigned
#define	btu64		unsigned long long
#define	btoffset	btu32	/* offset in files (currently 32 bit) */
#define	btuni		unsigned short	/* unicode character */
#define	btbool		char

#define	btsize		int		/* for data block sizes */
#define	bttime		bti32	/* (absolute) time in milliseconds */
#define	btinum		bti32	/* datatype for inode numbers */
#define	btint		int		/* fast integer, min 32 bit long */

typedef void	(*btcallback)(void *this, void *arg);	/* callback function */

typedef struct btError{
    btu32	class;
    btu32	code;
}btError;

/* The following functional macros don't really belong here, but this is
 * the only header that's included literally everywhere.
 */

#define	DEBUG_TRAP()	(*(int *)0 = 0)
#define	ELEMENTS(array)	(sizeof(array)/sizeof((array)[0]))

#endif	/* __BASICTYPES_H_INCLUDED__ */
