/*
 * Name: stdheaders.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1997-10-13
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: stdheaders.h,v 1.2 1999/04/19 19:51:06 cs Exp $
 */

/*
General Description:
This header includes all system headers that are needed. 
*/

#ifndef __STDHEADERS_H_INCLUDED__
#define __STDHEADERS_H_INCLUDED__

#if defined __APPLE__	/* must be Rhapsody */
#	undef NeXT
#	define	RHAPSODY
#endif

#ifdef NeXT
#	include <libc.h>
	extern int	errno;
	/* the following should have been in sys/param.h: */
	extern char	*realpath(char *file_name, char *resolved_name);
	/* the following should have been in time.h: */
	extern void tzset(void);
#endif

#if defined SUNOS || defined SOLARIS2 || defined HP || defined __sgi || defined _AIX || defined __osf__		/* are all these necessary? */
	extern int sys_nerr;
	extern char *sys_errlist[];
#endif

#if defined __sgi
#	include <strings.h>
#endif

#if defined SOLARIS2
#	define PORTMAP
#endif

#if defined SUNOS
#	define	memmove(dest, src, len)		bcopy(src, dest, len)
#endif

union wait;		/* forward declaration, needed for AIX to suppress warnings */

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <time.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/errno.h>
#include <errno.h>
#include <sys/uio.h>
#include <sys/wait.h>
#include <sys/param.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#include <syslog.h>
#include <ctype.h>
#include <sys/signal.h>
#include <signal.h>
#include <pwd.h>
#include <grp.h>

#ifdef RHAPSODY	/* Rhapsody DR2 system headers are inconsistent; hack */
#	define	rpcent			avoid_error_1
#	define	getrpcbynumber	avoid_error_2
#	define	getrpcbyname	avoid_error_3
#	define	getrpcent		avoid_error_4
#endif
#include <rpc/rpc.h>
#ifdef RHAPSODY
#	undef	rpcent
#	undef	getrpcbynumber
#	undef	getrpcbyname
#	undef	getrpcent
#endif

#ifndef NULL
#	define	NULL	((void *)0)
#endif

#ifndef INADDR_NONE	/* Address indicating an error return. */
#	define	INADDR_NONE		0xffffffffUL
#endif

#ifndef FNDELAY
#	ifdef O_NDELAY
#		define  FNDELAY O_NDELAY
#	else
#		define  FNDELAY O_NONBLOCK
#	endif
#endif

/* ------------------------------------------------------------------------- */

#endif /* __STDHEADERS_H_INCLUDED__ */
