/*
 * Name: constants.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1997-11-10
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: mainconst.h,v 1.9 1999/08/01 17:41:58 cs Exp $
 */

#ifndef __constants_H_INCLUDED__
#define __constants_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
This header contains constants used in the main module. Most of the constants
can be overridden from the configuration.
*/

/* ------------------------------------------------------------------------- */

#define	MAINCONST_VERSION					2000	/* version number: 1000*major + minor */

#define	CONST_CFGPARSE_INTERVAL				5000

#define	CONST_CONFIG_PATH					"/usr/local/sharity/etc/sharity.cfg"
#define	CONST_DBFILE_PATH					"/usr/local/sharity/var/cfgdb.ppl"
#define	CONST_HELPFILE_PATH					"/usr/local/sharity/etc/help.html"
#define	CONST_UNI_TABLE_COMPRESS			3	/* number of blocks for sparse array */

#define	CONST_IPC_WINDOWSIZE				4	/* window size for commandline utility IPC */


/* The following text is printed in addition to the version numbers if the
 * version is requested. Add a your name and e-mail address and a pointer to
 * the list of changes if you modified Sharity.
 */
#define	CONST_LOCALISATION_TEXT				""

/* ------------------------------------------------------------------------- */

#endif	/* __constants_H_INCLUDED__ */
