/*
 * Name: guiHelper.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1998-12-18
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: guiHelper.h,v 1.2 1999/05/30 21:19:55 cs Exp $
 */

#ifndef __guiHelper_H_INCLUDED__
#define __guiHelper_H_INCLUDED__

/*
General Description:
This module implements wrappers around GTK+ functions that simplify life.
*/

#include "basictypes.h"

/* ------------------------------------------------------------------------- */

#define	GUI_FONT_SMALL		0
#define	GUI_FONT_NORMAL		1
#define	GUI_FONT_BIG		2
#define	GUI_FONT_LARGE		3
#define	GUI_FONT_HUGE		4

struct _GtkWidget;
struct _GList;

void	guiSetAppName(bti8 *appName);
void	guiSetHelpIntroText(bti8 *text);

struct _GdkFont		*guiGetFont(btint fontSize, btbool isBold, btbool isOblique);
struct _GtkWidget	*guiHeadlineLabel(bti8 *text);
struct _GtkWidget	*guiButtonBar(btint numButtons, ...);
struct _GtkWidget	*guiAlignmentBox(btbool isVertical, btint padding, ...);

btint	guiRunAlert(bti8 *button0, bti8 *button1, bti8 *button2, bti8 *title, bti8 *format, ...);
btu8	*guiRunFileselector(btu8 *title, btu8 *initialPath);	/* caller frees */
bti8	*guiRunSelectionBox(bti8 *title, bti8 *okButton, bti8 *cancelButton, struct _GList *entries);	/* caller frees */

void	guiHelpifyWidget(struct _GtkWidget *widget, bti8 *helpText);
void	guiSetHelpMode(btbool helpMode);
void	guiRegisterHelpTogglebutton(struct _GtkWidget *helpButton);
void	guiUnregisterHelpTogglebutton(struct _GtkWidget *helpButton);


/* this should have gone to guiLogging.h, but there is no such file... */
void	logError(char *errTitle, char *errMsg);


/* ------------------------------------------------------------------------- */

#endif /* __guiHelper_H_INCLUDED__ */
